• (SOLUCIONADO) Error de actualización: Numix-Square


    Hola,

    les cuento que me he encontrado con un error en la actualización de Numix Square, por lo que no puedo actualizar nada más. Ya he intentado actualizar únicamente ese paquete y me toṕé con el mismo error, por lo que es claro que es ese el paquete (en los repositorios de Antergos) que trae problemas. La terminal dice:

    [[email protected] ~]$ yaourt -Syu
    [sudo] password for ariel:
    :: Sincronizando las bases de datos de paquetes…
    core está actualizado
    extra está actualizado
    community está actualizado
    multilib está actualizado
    antergos está actualizado

    ==> Actualización de los programas (nueva versión):
    core/sudo 1.8.11-1 -> 1.8.11.p1-1
    extra/python 3.4.1-1 -> 3.4.2-1
    antergos/numix-icon-theme-square 2014.08.09-1 -> 1:0.r67.f809e2c-1

    ==> ¿Continuar con la actualización? [S/n]
    ==> [V]isualizar los detalles del paquete Selección [M]anual de los paquetes
    ==> --------------------------------------------------------------------------
    ==> s
    :: Iniciando actualización completa del sistema…
    resolviendo dependencias…
    verificando conflictos…

    Paquetes (3): numix-icon-theme-square-1:0.r67.f809e2c-1 python-3.4.2-1 sudo-1.8.11.p1-1

    Tamaño Total de Descarga: 0,72 MiB
    Tamaño Total Instalado: 97,46 MiB
    Tamaño neto a actualizar: 0,46 MiB

    :: ¿Continuar con la instalación? [S/n] s
    :: Recuperando paquetes …
    numix-icon-theme-square-1:0.r67.f809e2c-1-any 741,9 KiB 197K/s 00:04 [########################################################] 100%
    (3/3) verificando llaves en el llavero [########################################################] 100%
    (3/3) verificando la integridad de los paquetes [########################################################] 100%
    error: numix-icon-theme-square: signature from “Antergos Build Server (Automated Package Build System) <[email protected]>” is marginal trust
    :: El archivo /var/cache/pacman/pkg/numix-icon-theme-square-1:0.r67.f809e2c-1-any.pkg.tar.xz está dañado (paquete no válido o dañado (firma PGP)).
    ¿Quiere eliminarlo? [S/n] s
    error: error al realizar la transacción (paquete no válido o dañado)
    Ocurrieron errores, no se actualizaron paquetes
    [[email protected] ~]$

    El paquete al que hace referencia la terminal como no válido o dañado no existe en la dirección que figura más arriba…

    ¿Alguna idea de como arreglar el problema para que pueda realizar las actualizaciones corrientes del sistema?

  • Hola,

    les cuento que me he encontrado con un error en la actualización de Numix Square, por lo que no puedo actualizar nada más. Ya he intentado actualizar únicamente ese paquete y me toṕé con el mismo error, por lo que es claro que es ese el paquete (en los repositorios de Antergos) que trae problemas. La terminal dice:

    [[email protected] ~]$ yaourt -Syu
    [sudo] password for ariel:
    :: Sincronizando las bases de datos de paquetes…
    core está actualizado
    extra está actualizado
    community está actualizado
    multilib está actualizado
    antergos está actualizado

    ==> Actualización de los programas (nueva versión):
    core/sudo 1.8.11-1 -> 1.8.11.p1-1
    extra/python 3.4.1-1 -> 3.4.2-1
    antergos/numix-icon-theme-square 2014.08.09-1 -> 1:0.r67.f809e2c-1

    ==> ¿Continuar con la actualización? [S/n]
    ==> [V]isualizar los detalles del paquete Selección [M]anual de los paquetes
    ==> --------------------------------------------------------------------------
    ==> s
    :: Iniciando actualización completa del sistema…
    resolviendo dependencias…
    verificando conflictos…

    Paquetes (3): numix-icon-theme-square-1:0.r67.f809e2c-1 python-3.4.2-1 sudo-1.8.11.p1-1

    Tamaño Total de Descarga: 0,72 MiB
    Tamaño Total Instalado: 97,46 MiB
    Tamaño neto a actualizar: 0,46 MiB

    :: ¿Continuar con la instalación? [S/n] s
    :: Recuperando paquetes …
    numix-icon-theme-square-1:0.r67.f809e2c-1-any 741,9 KiB 197K/s 00:04 [########################################################] 100%
    (3/3) verificando llaves en el llavero [########################################################] 100%
    (3/3) verificando la integridad de los paquetes [########################################################] 100%
    error: numix-icon-theme-square: signature from “Antergos Build Server (Automated Package Build System) <[email protected]>” is marginal trust
    :: El archivo /var/cache/pacman/pkg/numix-icon-theme-square-1:0.r67.f809e2c-1-any.pkg.tar.xz está dañado (paquete no válido o dañado (firma PGP)).
    ¿Quiere eliminarlo? [S/n] s
    error: error al realizar la transacción (paquete no válido o dañado)
    Ocurrieron errores, no se actualizaron paquetes
    [[email protected] ~]$

    El paquete al que hace referencia la terminal como no válido o dañado no existe en la dirección que figura más arriba…

    ¿Alguna idea de como arreglar el problema para que pueda realizar las actualizaciones corrientes del sistema?

  • Como indican entradas anteriores, esto debería solucionar el error. A mí me funcionó.
    sudo pacman -Sy antergos-keyring
    sudo pacman -Syu

    Eso es todo!

  • ¡Oh, es cierto, no había visto las entradas anteriores! Problema solucionado. Muchas gracias.

  • no me funciona

    [[email protected] ~]$ sudo pacman -Sy antergos-keyring
    [sudo] password for winston:
    :: Sincronizando las bases de datos de paquetes…
    core está actualizado
    extra está actualizado
    community está actualizado
    antergos está actualizado
    atención: antergos-keyring-20140915-1 está actualizado – re-instalando
    resolviendo dependencias…
    verificando conflictos…

    Paquetes (1): antergos-keyring-20140915-1

    Tamaño Total de Descarga: 0.01 MiB
    Tamaño Total Instalado: 0.03 MiB
    Tamaño neto a actualizar: 0.00 MiB

    :: ¿Continuar con la instalación? [S/n] s
    :: Recuperando paquetes …
    antergos-keyring-20140915-… 11.8 KiB 3.85M/s 00:00 [##############################] 100%
    (1/1) verificando llaves en el llavero [##############################] 100%
    (1/1) verificando la integridad de los paquetes [##############################] 100%
    error: antergos-keyring: signature from “Antergos Build Server (Automated Package Build System) <[email protected]>” is unknown trust
    :: El archivo /var/cache/pacman/pkg/antergos-keyring-20140915-1-any.pkg.tar.xz está dañado (paquete no válido o dañado (firma PGP)).
    ¿Quiere eliminarlo? [S/n] s
    error: error al realizar la transacción (paquete no válido o dañado (firma PGP))
    Ocurrieron errores, no se actualizaron paquetes

  • El tuyo es un error diferente. Prueba esto:

    su  
    rm -R /etc/pacman.d/gnupg  
    pacman-key --init  
    pacman-key --populate archlinux  
    cd tmp  
    wget http://repo.antergos.info/antergos/x86\_64/antergos-keyring-20140915-1-any.pkg.tar.xz  
    pacman -U antergos-keyring-20140915-1-any.pkg.tar.xz  
    pacman-key --populate antergos
    
Posts 6Views 3062
Log in to reply